Name: xmlpg
Version: 1.1
Release: 1
Packager: David Summers <david@summersoft.fay.ar.us>
Summary: XML Program Generator
License: BSD
Group: System Environment/Daemons
URL: http://sourceforge.net/projects/xmlpg/
BuildArchitectures: noarch
Source0: xmlpg-%{version}.tar.gz
Source1: cpptasks-1.0b5.tar.gz
Source2: xmlpg
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: ant
BuildRequires: java
Requires: java

%description
A JAVA program which generates JAVA and C++ code from XML description files.


%changelog
* Wed Apr 30 2008 David Summers <david@summersoft.fay.ar.us> 1.1-1
- XMLPG v1.1

%prep
%setup -q -n %{name}

tar xzf %{SOURCE1}

%build
cd cpptasks-1.0b5
ant

cd ..

cp cpptasks-1.0b5/target/lib/cpptasks.jar lib
ant

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/xmlpg/dist
mkdir -p $RPM_BUILD_ROOT/usr/share/xmlpg/lib
mkdir -p $RPM_BUILD_ROOT/usr/bin

# Rebuild Xmlpg jar file.
cd dist
jar xvf Xmlpg.jar
mv META-INF/MANIFEST.MF MANIFEST.old.MF
(echo "Main-Class: edu/nps/moves/xmlpg/Xmlpg"; cat MANIFEST.old.MF) > META-INF/MANIFEST.MF
jar cmf META-INF/MANIFEST.MF Xmlpg.jar edu
cd ..

# Build distribution tree.
cp dist/Xmlpg.jar $RPM_BUILD_ROOT/usr/share/xmlpg/dist
cp lib/*.jar $RPM_BUILD_ROOT/usr/share/xmlpg/lib
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/xmlpg
/usr/bin/xmlpg
